New site - Use 2.9.2 or 3.0 beta?

Getting ready to install and learn the BuddyPress side of things.

Which is the better plan ... start with 2.9.2 and upgrade later, or start with 3.0 beta and work through the trials and tribulations until all the smoke is cleared?